### Constructor

# ICalGLib RecurIterator new

since: 1.0

#### Declaration [src]

    ICalRecurIterator*
    i_cal_recur_iterator_new (
      ICalRecurrence* rule,
      ICalTime* dtstart
    )

#### Description [src]

Creates an `ICalRecurIterator`.

Available since: 1.0

#### Parameters

`rule`

  Type: `const ICalRecurrence`

  The rule applied on the `ICalRecurIterator`.

  The data is owned by the caller of the function.

`dtstart`

  Type: `ICalTime`

  The start time of the recurrence.

  The data is owned by the caller of the function.

#### Return value

Type: `ICalRecurIterator`

The newly created `ICalRecurIterator`.

The caller of the function takes ownership of the data, and is responsible for freeing it.